Package Gnumed :: Package wxpython :: Module gmTimer :: Class cTimer |
[frames] | no frames]

# Class cTimer

source code

         object --+
                  |
    wx._core.Object --+
                      |
    wx._core.EvtHandler --+
                          |
             wx._misc.Timer --+
                              |
                             cTimer

wx.Timer proxy.

It would be quite useful to tune the delay according to current network speed either at application startup or even during runtime.

Instance Methods
EvtHandler |
__init__(self, callback=None, delay=300, cookie=None) Set up our timer with reasonable defaults. | source code
Start(self, milliseconds=-1, oneShot=False) Start(self, int milliseconds=-1, bool oneShot=False) -> bool | source code
Notify(self) | source code
set_cookie(self, cookie=None) | source code
Inherited from `wx._misc.Timer`: `Destroy`, `GetId`, `GetInterval`, `GetOwner`, `IsOneShot`, `IsRunning`, `SetOwner`, `Stop`, `__del__`, `__repr__` Inherited from `wx._core.EvtHandler`: `AddPendingEvent`, `Bind`, `Connect`, `Disconnect`, `GetEvtHandlerEnabled`, `GetNextHandler`, `GetPreviousHandler`, `ProcessEvent`, `ProcessPendingEvents`, `SetEvtHandlerEnabled`, `SetNextHandler`, `SetPreviousHandler`, `Unbind` Inherited from `wx._core.Object`: `GetClassName` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, callback=None, delay=300, cookie=None) (Constructor) | source code
    Set up our timer with reasonable defaults.

    - delay default is 300ms as per Richard Terry's experience
    - delay should be tailored to network speed/user speed
    - <cookie> is passed to <callback> when <delay> is up
Returns: EvtHandler Overrides: object.__init__

### Start(self, milliseconds=-1, oneShot=False) | source code
Start(self, int milliseconds=-1, bool oneShot=False) -> bool Overrides: wx._misc.Timer.Start (inherited documentation)